Name: secureboot          
Version: 2.1      
Release: 1
Summary: Use an encrypted file system while booting linux      

Group:      System         
License:    GPL       
Vendor:     Senderek Web Security
URL:        https://senderek.ie/opensource/secureboot       
Source0:    https://senderek.ie/opensource/secureboot/secureboot-2.1-1.tar.gz       
BuildArch:  noarch

Requires: /usr/bin/bash /usr/sbin/cryptsetup /usr/sbin/losetup /usr/bin/python3    

%description
Secureboot modifies the boot process of a Linux installation in a way 
that an encrypted file system is mounted after the user has entered the 
correct password at the terminal 

%prep

%setup q -n secureboot-2.1-1

%build

%install
cd /x/opensource/rpmbuild/BUILD/secureboot-2.1-1
tar cvpzf /tmp/new.tgz *
cd /x/opensource/rpmbuild/BUILDROOT/secureboot-2.1-1.x86_64
tar xvpzf /tmp/new.tgz
mkdir -p /x/opensource/rpmbuild/BUILDROOT/secureboot-2.1-1.x86_64/etc/systemd/system
mv /x/opensource/rpmbuild/BUILDROOT/secureboot-2.1-1.x86_64/usr/lib/secureboot/systemd/system/* /x/opensource/rpmbuild/BUILDROOT/secureboot-2.1-1.x86_64/etc/systemd/system

%post
systemctl enable secureboot2.service
systemctl enable secureboot2-halt.service
systemctl enable securebootpassword.service
if [[ -L /etc/systemd/system/getty.target.wants/getty@tty8.service ]]
then
   rm /etc/systemd/system/getty.target.wants/getty@tty8.service
fi
/bin/chmod 700 /usr/lib/secureboot
/bin/chmod 400 /usr/lib/secureboot/secure.OTP
/bin/chmod 600 /usr/lib/secureboot/defaultfilesystem


%preun
systemctl disable securebootpassword.service
systemctl disable secureboot2-halt.service
systemctl disable secureboot2.service



#%clean
#rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
#%doc 
/usr/share/doc/secureboot2/COPYING 
/usr/share/doc/secureboot2/README 
/usr/share/doc/secureboot2/INSTALL
/usr/lib/secureboot/secureboot2
/usr/lib/secureboot/secureboot2.sig
/usr/lib/secureboot/securebootpassword
/usr/lib/secureboot/README
/usr/lib/secureboot/hexor
/usr/lib/secureboot/createOTP
/usr/lib/secureboot/secureboot-backup
/usr/lib/secureboot/secureboot-encrypt
/usr/lib/secureboot/secureboot-replace
/usr/lib/secureboot/defaultfilesystem
/usr/lib/secureboot/secureboot2-halt
/usr/lib/secureboot/securefilesystem
/usr/lib/secureboot/readme.OTP
/usr/lib/secureboot/secure.OTP
/etc/systemd/system/secureboot2-halt.service
/etc/systemd/system/secureboot2.service
/etc/systemd/system/securebootpassword.service
/usr/share/man/man8/secureboot2.8.gz
/usr/share/man/man8/secureboot.8.gz
/usr/share/man/man8/securebootpassword.8.gz



%changelog
* Tue May 07 2024 Ralf Senderek, Ireland  <innovation@senderek.ie> ver 2.1-1

* Sun Mar 17 2019 Ralf Senderek, Ireland  <innovation@senderek.ie> ver 2.0-1

* Thu Feb 6 2014 Senderek Web Security <innovation@senderek.ie> ver 1.0-1
- Initial RPM build
